# Install dictionary extensions for spellchecking
if [ -x "usr/lib/libreoffice/program/unopkg" ]; then
  UNOPKGTMP=$(mktemp -d unopkg.XXXXXX) || UNOPKGTMP=/tmp/unopkg.$$
  if [ -f "usr/lib/libreoffice/share/extensions/install/dict-sv.oxt" ]; then
    echo "Installing shared version of 'dict-sv.oxt' ..."
    chroot . /usr/lib/libreoffice/program/unopkg remove --shared \
      dict-sv.oxt 1>/dev/null 2>/dev/null
    chroot . /usr/lib/libreoffice/program/unopkg add \
      --suppress-license --shared \
      usr/lib/libreoffice/share/extensions/install/dict-sv.oxt \
      "-env:UserInstallation=file:///$UNOPKGTMP" 1>/dev/null 2>/dev/null
  fi
  rm -rf $UNOPKGTMP
fi

